import java.awt.*;
import DMObject;

public interface DMModel
{
    public static final int SELECT_MODE = 0;
    public static final int ICON_MODE = 1;
    public static final int RELATION_MODE = 2;

    public int getEditionMode();

    public void addSimpleObject( Dimension r, Point p, boolean unselectOthers );
    public void addRelationObject( DMObject oFrom, DMObject oTo, boolean unselectOthers );

    public void updateAllViews();

    public int getSize();
    public DMObject getObjectAt( int index );

    public void removeSelected();
    public void setDirty( boolean dirtyState );
}






