import NSObject;
import javax.swing.*;
import java.awt.*;

public class NSWorldPane extends JLabel implements ListCellRenderer
{
    public NSWorldPane()
    {
	super("Empty");
	setOpaque(true);
    }

    public Component getListCellRendererComponent(
						  JList list,
						  Object value,
						  int index,
						  boolean isSelected,
						  boolean cellHasFocus
						  )
    {
	NSObject o = (NSObject) value;
	setText( o.getName() );

	if (isSelected) {
	    setBackground(list.getSelectionBackground());
	    setForeground(list.getSelectionForeground());
	} else {
	    setBackground(list.getBackground());
	    setForeground(list.getForeground());
	}

	return this;
    }

}





