import java.awt.*;
import javax.swing.*;
import NSWorld;
import NSWorldPane;

public class NSWorldView extends JPanel
{
    NSWorld w;
    JList l;
    public NSWorldView( NSWorld inW )
    {
	super();

	w = inW;
	l = new JList( new WVListModel(w) );
	l . setCellRenderer( new NSWorldPane() );
	JScrollPane sp = new JScrollPane( l );
	setLayout( new BorderLayout() );
	add(sp,BorderLayout.CENTER);
    }

    public void updateList()
    {
	l . setModel( new WVListModel( w ) );
    }

    class WVListModel extends AbstractListModel
    {
	NSWorld wv;
	public WVListModel( NSWorld inWV )
	{
	    wv = inWV;
	}

	public Object getElementAt( int index )
	{
	    return wv . getObject( index );
	}

	public int getSize()
	{
	    return wv . getObjectCount();
	}
    }

}
