import javax.swing.*;
import javax.swing.table.*;
import java.awt.*;
import java.awt.event.*;
import NSWorld;

public class SArrayTableModel extends AbstractTableModel
{
    NSWorld M;

    public SArrayTableModel( NSWorld inM )
    {
	M = inM;
    }

    public int getRowCount()
    {
	if (M==null) 
	    return 0;
	else
	    return M . getArrayCount();
    }

    public int getColumnCount()
    {
	if (M==null)
	    return 0;
	else 
	    return 2;
    }

    public Object getValueAt( int row, int col )
    {
	if (M == null) 
	    return new String("");

	if (col == 0) {
	    return M . getArray( row ) . name;
	} else {
	    return Integer.toString(M . getArray( row ) . elements);
	}
    }

    public void setValueAt( Object value, int row, int column )
    {
	if ( M == null)
	    return;
	
	if (column==0)
	    M . getArray( row ) . name = value . toString();
	else
	    M . getArray( row ) . elements = Integer.parseInt( value.toString() );
    }

    public String getColumnName( int columnIndex )
    {
	if (columnIndex==0)
	    return "Index Name";
	else
	    return "Size";
    }
    
    public boolean isCellEditable(int rowIndex, int columnIndex)
    {
	return true;
    }
}
