set ns [new Simulator]
set namFile [open trace.nam w]
$ns namtrace-all $namFile
$ns at 10.0 "finish"
proc finish {} {
global ns
global namFile
$ns flush-trace
close $namFile
exit 0
}
set Node0 [$ns node]
set Node1 [$ns node]
$ns duplex-link $Node0 $Node1 10Mb 20ms DropTail
set DuplexLink0 [$ns link $Node0 $Node1]
set UDP0 [new Agent/UDP]
set Null0 [new Agent/Null]
$ns attach-agent $Node0 $UDP0
$ns attach-agent $Node1 $Null0
$ns connect $UDP0 $Null0
set ExpOnOff0 [new Application/Traffic/Exponential]
$ExpOnOff0 set burst_time_ 0.0001
$ExpOnOff0 set idle_time_ 0.0001
$ExpOnOff0 attach-agent $UDP0


$ns at 0.1 "$ExpOnOff0 start"
$ns at 9.5 "$ExpOnOff0 stop"
$ns run