import java.awt.*;
import DMObject;
import NSObject;

public class NSEditableObject extends NSObject implements DMObject
{
    boolean selected;

    public NSEditableObject( TclSnippet inSnippet, String inName )
    {
	super( inSnippet, inName );
    }

    public boolean isSelected()
    {
	return selected;
    }

    public void select()
    {
	selected = true;
    }

    public void unselect()
    {
	selected = false;
    }

    public void toggleSelect()
    {
	selected = !selected;
    }

    public void drawSelf( Graphics g, Dimension r )
    {
    }

    public boolean isHit( Dimension r, Point p )
    {
	return false;
    }

    public boolean isContained( Dimension r, Point p1, Point p2 )
    {
	return false;
    }

    public void moveBy( Dimension r, Dimension byWhat )
    {
    }
}









