import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;
import java.awt.event.*;
import NSModel;

public class SAboutDialog extends JDialog implements ActionListener
{
    JButton closeBtn;
    JLabel ad;

    public SAboutDialog( JFrame pFrame, boolean modal )
    {
	super( pFrame, "nscript-1.0a...", modal );
	Icon icon = new ImageIcon("figs/start.gif");

	this . getContentPane() . add( new JLabel(icon), BorderLayout.CENTER );
	if (modal) {
	    JPanel closePane = new JPanel();
	    closePane . setLayout( new GridLayout(1,3) );
	    closePane . add( new JLabel("") );
	    closeBtn = new JButton("Close");
	    closeBtn.addActionListener( this );
	    closePane . add( closeBtn );
	    closePane . add( new JLabel("") );
	    this . getContentPane() . add( closePane, BorderLayout.SOUTH );
	    setSize(294,241);
	} else {
	    ad = new JLabel("Loading...");
	    this . getContentPane() . add( ad, BorderLayout.SOUTH );
	    setSize(294,241);
	}
	
	Dimension dialogDim = getSize();
	Dimension screenSize = getToolkit().getScreenSize();
	setLocation( (screenSize.width - dialogDim.width)/2, 
		     (screenSize.height - dialogDim.height)/2 );
	show();
    }

    public void setMessage( String inMsg )
    {
	ad . setText( inMsg );
    }

    public void actionPerformed( ActionEvent ae )
    {
	JButton b = (JButton) ae.getSource();
	if (b==closeBtn) {
	    dispose();
	}
    }
}

