import NSObject;
import java.awt.*;
import java.util.*;
import javax.swing.*;
import javax.swing.table.*;
import javax.swing.event.*;

public class SObjectCellEditor extends AbstractCellEditor implements TableCellEditor
{
    NSObject o;
    JComboBox cb;
    JTextField tf;

    public SObjectCellEditor( NSObject inO )
    {
		o = inO;
		cb = new JComboBox();
		tf = new JTextField();
    }

    public Object getCellEditorValue()
    {
    	if (cb.isEditable())
			return tf.getText();
		else
			return cb.getSelectedItem();
    }

    public Component getTableCellEditorComponent(JTable table, Object value, boolean isSelected,
				      int row, int column)
    {
		StringTokenizer st;
		String options;

		cb.removeAllItems();
		cb.setPopupVisible(false);
		if (column>0) {
		    if (o!=null) {
				if (o . getSnippet() . getAttribute(row) . hasOptions) {
				    st = new StringTokenizer(o . getSnippet() . getAttribute(row) . getOptions());
				    cb . setEditable(false);
				    while (st . hasMoreTokens()) 
						cb . addItem( st . nextToken() );
				    cb . setSelectedItem( o . getAttribute(row) ); 
				    return ((Component) cb);
				} else {
				    cb . setEditable(true);
				    tf . setText( o . getAttribute(row) );
				    return ((Component) tf);
				}
		    } else {
				return (Component) cb;
		    }
		}
		return (Component) cb;
    }
}


