set ns [new Simulator]
set namFile [open trace.nam w]
$ns namtrace-all $namFile
$ns at 10.0 "finish"
proc finish {} {
global ns
global namFile
$ns flush-trace
close $namFile
exec nam trace.nam &
exit 0
}
set Node0 [$ns node]
set Node1 [$ns node]
$ns duplex-link $Node0 $Node1 10Mb 20ms DropTail
set DuplexLink0 [$ns link $Node0 $Node1]
set TCPedu0 [new Agent/TCP/RFC793edu]
$TCPedu0 set window_ 1
$ns attach-agent $Node0 $TCPedu0
set CBR0 [new Application/Traffic/CBR]
$CBR0 set random_ 0
$CBR0 attach-agent $TCPedu0


$ns at .5 "$CBR0 start"
$ns at 5 "$CBR0 start"
set TCPSink0 [new Agent/TCPSink]
$ns attach-agent $Node1 $TCPSink0
$ns connect $TCPedu0 $TCPSink0
$ns run