import java.lang.*;

public class TclPattern extends Object
{
    public boolean isConditional;
    public String pattern, alternativePattern;
    public String attribute, attributeValue;

    // Constructor
    public TclPattern( String s )
    {
	parseSelf(s);
    }

    void parseSelf( String s )
    {
	int equals, firstColon, secondColon;
	s = s.trim();
	if (s.charAt(0)=='?') {
	    isConditional=true;
	    equals = s.indexOf('=');
	    firstColon = s.indexOf(':');
	    secondColon = s.indexOf(':',firstColon+1);
	    attribute = s.substring(1,equals).trim();
	    attributeValue = s.substring(equals+1,firstColon).trim();
	    pattern = s.substring(firstColon+1,secondColon);
	    alternativePattern = s.substring(secondColon+1);
	} else {
	    isConditional=false;
	    pattern = s;
	}
    }
    public String toString()
    {
	if (isConditional)
	    return attribute + " = " + attributeValue + " : " + pattern + " : " + alternativePattern;
	else
	    return pattern;
    }
}


